### Method

# Gegl MetadataStore get_source

#### Declaration [src]

    const gchar*
    gegl_metadata_store_get_source (
      GeglMetadataStore* self
    )

#### Description [src]

Get device used to create the image.

Gets property | `Gegl.MetadataStore:source`

#### Return value

Type: `const gchar*`

Source or `NULL` if not set.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.